Bug 806032 - Fedora 16 snd_hda_intel loud pop noise
Fedora 16 snd_hda_intel loud pop noise
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
i686 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-22 13:47 EDT by jc
Modified: 2012-11-14 11:37 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-14 11:37:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jc 2012-03-22 13:47:34 EDT
Description of problem:

there are no problems at all with kernel 3.1
since kernel 3.2 i had this weird issue with the sound, whenever i take off my headphones a loud pop noise is heard.
Also the volume is way shifted to the right, 0% is at 70, to get volume it had to be at least at 90%.
this issue is not only related to fedora, i had the same results with other distros that use kernel 3.2.
i tried to perform the following fixes but was unsuccessful:

# echo 0 > /sys/module/snd_hda_intel/parameters/power_save

# echo N > /sys/module/snd_hda_intel/parameters/power_save_controller

Version-Release number of selected component (if applicable):


How reproducible:
consistent, everytime headphones are taken out.

Steps to Reproduce:
1. plug headphones
2. take headphones out
3. loud pop noise is heard
  
Actual results:


Expected results:

there shouldnt be such loud noise when headphones are used.
Additional info:
Comment 1 Dave Jones 2012-03-22 14:00:26 EDT
does this also happen in 3.3 ?
Comment 2 jc 2012-03-22 14:07:56 EDT
@Dave Jones
yes this happens on kernel 3.3, but only on my HP dv2500 laptop
i forgot to mention that in the previous kernels  3.1 i was 
able to turn off the audio, (turn off the sound switch on my laptop turns the audio light led orange)
but on kernels 3.2+ , it doesnt turn off, it always stays with the blue led light on, it justs sets the volume to 0
Comment 3 Dave Jones 2012-10-23 11:39:15 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 4 Justin M. Forbes 2012-11-14 11:37:46 EST
With no response, we are closing this bug under the assumption that it is no longer an issue. If you still experience this bug, please feel free to reopen the bug report.

Note You need to log in before you can comment on or make changes to this bug.